Tasks
List tasks
Tasks in manual order. Without filters this returns every active (uncompleted) task, including subtasks.
GET
Tasks in manual order. Without filters this returns every active (uncompleted) task, including subtasks.
ApiKeyheader
AuthorizationBearer <dl_…>Personal API key created in Daylite under Settings → Developer.
project_id?|A project ID, or inbox for tasks without a project.
section_id?stringFormat
uuidparent_id?stringOnly direct subtasks of this task.
Format
uuidstatus?stringDefault
"active"Value in
"active""completed""all"due_from?stringDue on or after this date (YYYY-MM-DD).
Match
^\d{4}-\d{2}-\d{2}$due_to?stringDue on or before this date (YYYY-MM-DD).
Match
^\d{4}-\d{2}-\d{2}$cursor?stringnext_cursor from the previous page.
Length
length <= 200limit?integerPage size, 1–200.
Range
1 <= value <= 200Default
50A page of tasks.
application/json- response
results*array<>next_cursor*|Pass as cursor to fetch the next page. null on the last page.
curl -X GET 'https://api.daylite.me/v1/tasks'Example Response
{ "results": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "description": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "section_id": "f5e5c4dc-7d2e-40f1-a895-9bb2f8703fd8", "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef", "priority": "p1", "due": { "date": "string", "time": "string", "timezone": "string", "recurrence": "daily" }, "reminder": true, "position": 0, "completed": true, "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "revision": 0 } ], "next_cursor": "string"}